Get knowledge base visits
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/reports/kb_visits \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/reports/kb_visits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/reports/kb_visits"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"visits": [
{
"accessed_on": "2026-03-10",
"visits_count": 4
}
]
}{
"error": "<string>"
}Reports
Get knowledge base visits
This API returns the number of visits to the knowledge base for each day in the period, oldest day first. It is not paginated.
GET
/
reports
/
kb_visits
Get knowledge base visits
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/reports/kb_visits \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/reports/kb_visits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/reports/kb_visits"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"visits": [
{
"accessed_on": "2026-03-10",
"visits_count": 4
}
]
}{
"error": "<string>"
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Period to report on. Defaults to all_time. For custom, send both start_date and end_date.
Available options:
all_time, last_24_hours, last_7_days, this_week, last_week, last_30_days, this_month, last_month, this_quarter, last_quarter, custom Start of the period as an ISO 8601 date or time. Needed with duration=custom. Must not be after end_date.
Example:
"2026-03-01"
End of the period as an ISO 8601 date or time. Needed with duration=custom.
Example:
"2026-03-31"